View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0021905FPCFCLpublic2012-05-01 12:232012-06-19 13:10
ReporterLuiz Americo 
Assigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionProduct Build 
Target Version2.6.1Fixed in Version2.7.1 
Summary0021905: Fix behavior and optimize TDataset.GetFieldList and TParams.GetParamList
DescriptionThe attached patch fixes the behavior and also optimize / cleanup such functions
It also add tests to the fcl-db test suite
TagsNo tags attached.
FPCOldBugId0
Fixed in Revision21627
Attached Filesdiff file icon fieldandparamslist.diff [^] (5,581 bytes) 2012-05-01 12:23 [Show Content]

- Relationships

-  Notes
(0059164)
Michael Van Canneyt (administrator)
2012-05-01 13:35

Applied, thank you.
(0059172)
Luiz Americo (developer)
2012-05-01 18:32

Thanks for applying my patches.

Seems this patch you applied only in 2_6 fixes branch. Can you apply in trunk?
(0060592)
Luiz Americo (developer)
2012-06-17 01:44

Reminder sent to: Marco van de Voort, Michael Van Canneyt

Hi, can you look at this issue. It was applied to fixes but not to trunk.
(0060594)
Michael Van Canneyt (administrator)
2012-06-17 09:53

Done. Revision 21627.

- Issue History
Date Modified Username Field Change
2012-05-01 12:23 Luiz Americo New Issue
2012-05-01 12:23 Luiz Americo File Added: fieldandparamslist.diff
2012-05-01 12:23 Luiz Americo FPCOldBugId => 0
2012-05-01 13:29 Michael Van Canneyt Status new => assigned
2012-05-01 13:29 Michael Van Canneyt Assigned To => Michael Van Canneyt
2012-05-01 13:35 Michael Van Canneyt Fixed in Revision => 21161
2012-05-01 13:35 Michael Van Canneyt Status assigned => resolved
2012-05-01 13:35 Michael Van Canneyt Fixed in Version => 2.7.1
2012-05-01 13:35 Michael Van Canneyt Resolution open => fixed
2012-05-01 13:35 Michael Van Canneyt Note Added: 0059164
2012-05-01 13:35 Michael Van Canneyt Target Version => 2.6.1
2012-05-01 18:32 Luiz Americo Status resolved => feedback
2012-05-01 18:32 Luiz Americo Resolution fixed => reopened
2012-05-01 18:32 Luiz Americo Note Added: 0059172
2012-06-17 01:44 Luiz Americo Note Added: 0060592
2012-06-17 09:53 Michael Van Canneyt Fixed in Revision 21161 => 21627
2012-06-17 09:53 Michael Van Canneyt Status feedback => resolved
2012-06-17 09:53 Michael Van Canneyt Resolution reopened => fixed
2012-06-17 09:53 Michael Van Canneyt Note Added: 0060594
2012-06-19 13:10 Luiz Americo Status resolved => closed



MantisBT 1.2.12[^]
Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker